class InputTextField {
 
 int x, y, boxWidth, fontSize;
 boolean focus;
 String textVal, label;
 PFont font;
 
 void InputTextField() {
  //
 }
 
 void create(int _x, int _y, int _width, int _fontsize) {
   font = loadFont("CourierNew36.vlw");
   focus = false;
   textVal = ""; 
   x = _x;
   y = _y;
   boxWidth = _width;
   fontSize = _fontsize;
   drawBox();
 }
 
 void setFocus() {
   if (mouseX > x && mouseX < x+boxWidth && mouseY > y && mouseY < y+fontSize+2) {
     focus = true;
   }else{
     focus = false;
   }
   drawBox();
   updateText();
 }
 
 void setLabel(String _label) {
   label = _label;
   fill(0);
   textFont(font,fontSize);
   text(label,x,y-2);
 }
 
 void drawBox() {
   if (focus == true) {
     stroke(255,0,0);
   }else{
     stroke(0);
   }
   fill(255);
   rect(x,y,boxWidth,fontSize+2); 
 }
 
 void recieveInput(int kval) {
   if (focus == true) {
     if (kval == 8) {
       //code of 8 on mac is delete key, or atleast on my powerbook
       backspace();
     }else{
       textVal += char(kval);
       updateText();
     }
   }
 }
 
 void backspace() {
   if (textVal.length() != 0) {
     textVal = textVal.substring(0,textVal.length()-1);
     updateText();
   }
 }
 
 void updateText() {
   drawBox();
   fill(0);
   textFont(font, fontSize);
   text(textVal, x+1,y+fontSize); 
 }
 
 String getValue() {
  return textVal; 
 }
   
}
