class BluredSquare {
  
  PGraphics pg;
  int Y_AXIS = 1;
  int X_AXIS = 2;
  
  void BluredSquare() {
    
  }

 void create(int w, int h, int b1, int b2,color col,int opacity) {
    // w:width of rect h:height of rect b1:blur value  b2:number of times to blur c:color of rect
    pg = createGraphics(w+20,h*3,JAVA2D);
    pg.beginDraw();
    pg.colorMode(HSB,255);
      pg.smooth();
      pg.background(col,0);
      pg.fill(col,opacity);
      pg.noStroke();
     //setGradient(10,10,w,(h*1.8)/4,col,color(0,0,0);,Y_AXIS);
     //setGradient(10,round(10+((h*1.8)*0.75)),w,(h*1.8)/4,color(0,0,0);,col,Y_AXIS);
      pg.rect(10,10,w,h*1.8);
      /*
      //lines, if you want:
      pg.stroke(col,opacity);
      int offset = 0;
      int thickness = 20;
      pg.strokeWeight(thickness);
      pg.strokeCap(ROUND);
      pg.line(offset,10,w+offset,10);
      pg.line(offset,h*1.8+(thickness),w+offset,h*1.8+(thickness));
      */
      for (int i=0; i<b2; i++) {
        pg.filter(BLUR, b1);
      }
    pg.endDraw();
  }
 

  PGraphics attachImage() {
   return pg;
  } 
  
  void setGradient(int x, int y, float w, float h, color c1, color c2, int axis){
  // calculate differences between color components 
  float deltaR = red(c2)-red(c1);
  float deltaG = green(c2)-green(c1);
  float deltaB = blue(c2)-blue(c1);

  // choose axis
  if(axis == Y_AXIS){
    /*nested for loops set pixels
     in a basic table structure */
    // column
    for (int i=x; i<=(x+w); i++){
      // row
      for (int j = y; j<=(y+h); j++){
        color c = color(
        (red(c1)+(j-y)*(deltaR/h)),
        (green(c1)+(j-y)*(deltaG/h)),
        (blue(c1)+(j-y)*(deltaB/h)) 
          );
       pg.set(i, j, c);
      }
    }  
  }  
  else if(axis == X_AXIS){
    // column 
    for (int i=y; i<=(y+h); i++){
      // row
      for (int j = x; j<=(x+w); j++){
        color c = color(
        (red(c1)+(j-x)*(deltaR/h)),
        (green(c1)+(j-x)*(deltaG/h)),
        (blue(c1)+(j-x)*(deltaB/h)) 
          );
        pg.set(j, i, c);
      }
    }  
  }
}
  
}
