//saved note data

class SavedNoteData {
  
  Note[] noteArray = new Note[0];  //note array for this SavedNoteData (one frame only)
  int frame;         //frame for which these notes exist
  
  
  void SavedNoteData() {
  }
  
  void setFrame(int f) {
   frame = f; 
  }
  
  void pushNote(int s, int f, float v) {
    //create note:
    Note newNote = new Note();
    newNote.setNote(s,f,v);
    //add new note to array
    noteArray = (Note[]) expand(noteArray, noteArray.length+1);
    noteArray[noteArray.length-1] = newNote;
  }
  
  
  // get functions:
  int getTotalNotes() {
    return noteArray.length; 
  }
  
  int getFrame() {
   return frame; 
  }
  
  int getString(int note) {
    return  noteArray[note].getString();
  }
  
  int getFret(int note) {
    return  noteArray[note].getFret();
  }
  
  float getValue(int note) {
    return  noteArray[note].getValue();
  }
  
}
